> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Tendencias por WOEID

> Obtén los temas en tendencia para una ubicación geográfica específica

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

El endpoint Trends by WOEID devuelve los temas de tendencia de una ubicación geográfica específica, identificada mediante un ID Where On Earth (WOEID) de Yahoo!.

<div id="overview">
  ## Información general
</div>

<CardGroup cols={2}>
  <Card title="Específico por ubicación" icon="location-dot">
    Tendencias para cualquier ubicación admitida
  </Card>

  <Card title="Cobertura global" icon="globe">
    Países, ciudades y regiones
  </Card>

  <Card title="En tiempo real" icon="bolt">
    Temas en tendencia ahora
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## Endpoint
</div>

| Método | Endpoint                                                         | Descripción                        |
| :----- | :--------------------------------------------------------------- | :--------------------------------- |
| GET    | [`/2/trends/by/woeid/:id`](/es/x-api/trends/get-trends-by-woeid) | Obtener las tendencias de un WOEID |

***

<div id="common-woeids">
  ## WOEID más comunes
</div>

| Ubicación      | WOEID    |
| :------------- | :------- |
| Mundial        | 1        |
| Estados Unidos | 23424977 |
| Reino Unido    | 23424975 |
| Japón          | 23424856 |
| Nueva York     | 2459115  |
| Los Ángeles    | 2442047  |
| Londres        | 44418    |
| Tokio          | 1118370  |

***

<div id="example-request">
  ## Ejemplo de solicitud
</div>

```bash theme={null}
curl "https://api.x.com/2/trends/by/woeid/1" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## Ejemplo de respuesta
</div>

```json theme={null}
{
  "data": [
    {
      "trend_name": "#AI",
      "tweet_count": 250000
    },
    {
      "trend_name": "Breaking News",
      "tweet_count": 180000
    }
  ]
}
```

***

<div id="getting-started">
  ## Primeros pasos
</div>

<Note>
  **Requisitos previos**

  * Una [cuenta de desarrollador](https://developer.x.com/en/portal/petition/essential/basic-info) aprobada
  * Un [Proyecto y App](/es/resources/fundamentals/developer-apps) en la Consola de desarrollador
  * El [Bearer Token](/es/resources/fundamentals/authentication) de tu App
</Note>

<CardGroup cols={2}>
  <Card title="Tendencias personalizadas" icon="user" href="/es/x-api/trends/personalized-trends/introduction">
    Obtén tendencias para el usuario autenticado
  </Card>

  <Card title="Referencia de la API" icon="code" href="/es/x-api/trends/trends-by-woeid">
    Documentación completa del endpoint
  </Card>
</CardGroup>
